%define name	stellarium
%define version	0.9.0
%define release	%mkrel 1
%define title	Stellarium

Name:		%{name} 
Summary:	Stellarium is a desktop planetarium 
Version:	%{version} 
Release:	%{release} 
Source:		http://stellarium.sourceforge.net/download/%{name}-%{version}.tar.bz2
Source10:	%{name}.16.png.bz2
Source11:	%{name}.32.png.bz2
Source12:	%{name}.48.png.bz2
Patch0:		stellarium-0.8.2-manpage.diff
URL:		http://www.stellarium.org
Group:		Sciences/Astronomy
Buildrequires:	mesaglu-devel 
Buildrequires:	SDL-devel
Buildrequires:	SDL_mixer-devel
Buildrequires:	png-devel
Buildrequires:	jpeg-devel
Buildrequires:	freetype2-devel
Buildrequires:	qt4-devel
BuildRequires:	boost-devel
BuildRequires:	gettext-devel
Buildrequires:	cmake

BuildRoot:	%{_tmppath}/%{name}-buildroot 
License:	GPLv2 

%description
Stellarium renders 3D photo-realistic skies in real time. 
With stellarium, you really see what you can see with your eyes,
binoculars or a small telescope.


%prep 
%setup -q
%patch0 -p1 -b .manpage 

%build 
export QTDIR=/usr/lib/qt4
export PATH=$QTDIR/bin:$PATH
%cmake
%make


%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{_bindir}/install -c -p"

# Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=Desktop planetarium
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Astronomy;
EOF
%find_lang %{name}

%clean 
rm -rf $RPM_BUILD_ROOT 


%files -f build/%{name}.lang
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS 
%{_bindir}/%{name} 
%{_datadir}/%{name}/
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}





%changelog
* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.0-1mdv2008.0
+ Revision: 52053
- buildrequires jpeg-devel
- New version
- drop patches 1 and 2
- specify license as GPLv2
- fix URL
- drop debian menu

* Wed May 16 2007 Lenny Cartier <lenny@mandriva.org> 0.8.2-3mdv2008.0
+ Revision: 27358
- Fix menu entry


* Sun Mar 18 2007 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-2mdv2007.1
+ Revision: 145797
- Some patches from Debian. Fixes segfaults on some OpenGL + 64 bit systems

* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2007.1
+ Revision: 118732
- New version 0.8.2

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-3mdv2007.1
+ Revision: 73086
- import stellarium-0.8.1-3mdv2007.1

* Sun Aug 06 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.1-2mdv2007.1
- drop buildrequires libxorg-x11-devel (fix x86_64 build) not needed
- add buildrequires SDL_mixer-devel
- optimize localization

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.1-1mdv2007.1
- 0.8.1
- drop patch0 (applied upstream)
- fix buildrequires

* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-3mdv2007.1
- Fix Menu ( ticket # 23216)

* Sun Jun 18 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.0-2mdv2007.0
- fix buildrequires
- xdg compliant
- added patch from sourceforge to fix gcc4.1 compilation

* Fri May 05 2006 Lenny Cartier <lenny@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-2mdk
- Fix BuildRequires

* Tue Sep 20 2005 Emmanuel Andry <eandry@free.fr> 0.7.1-1mdk
- 0.7.1

* Sun Sep 11 2005 Emmanuel Andry <eandry@free.fr> 0.7.0-1mdk
- Updated source and URL
- 0.7.0

* Fri Apr 08 2005 Emmanuel Andry <eandry@free.fr> 0.6.2-1mdk
- 0.6.2

* Wed Oct 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Jul 19 2004 Michael Scherer <misc@mandrake.org> 0.6.0-2mdk 
- rebuild for new gcc ( patch 0 )

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

